#!/usr/bin/python
# coding=utf-8

# Les modules nécessaires sont importés et mis en place
import RPi.GPIO as GPIO
import time
   
GPIO.setmode(GPIO.BCM)
   
# Initialisation des broches de sortie pour les LEDS
LED_ROUGE = 24
LED_VERTE = 23
GPIO.setup(LED_ROUGE, GPIO.OUT, initial= GPIO.LOW)
GPIO.setup(LED_VERTE, GPIO.OUT, initial= GPIO.LOW)
   
print "LED-Test [Appuyez sur Ctrl + C pour terminer le test]"
  
# Boucle de programme principale
try:
        while True:
            print("LED ROUGE allumée 3 secondes")
            GPIO.output(LED_ROUGE,GPIO.HIGH) #la Led s'allume
            GPIO.output(LED_VERTE,GPIO.LOW) #la LED commute
            time.sleep(3) # Délai de 3 secondes
            print("LED VERTE allumée 3 secondes") 
            GPIO.output(LED_ROUGE,GPIO.LOW) #la LED commute
            GPIO.output(LED_VERTE,GPIO.HIGH) #la Led s'allume
            time.sleep(3) #Délai de 3 secondes
   
# remise en place de tous les GPIO en entrées
except KeyboardInterrupt:
        GPIO.cleanup()